commit 4c5dcb2dee23af26288d76bf0b7fc7adc0186f28
Author: Sergei Trofimovich <siarheit@google.com>
Date:   Fri Sep 16 18:33:11 2022 +0100

    gcc/config/t-i386: add build dependencies on i386-builtin-types.inc
    
    i386-builtin-types.inc is included indirectly via i386-builtins.h
    into 4 files: i386.cc i386-builtins.cc i386-expand.cc i386-features.cc
    
    Only i386.cc dependency was present in gcc/config/t-i386 makefile.
    
    As a result parallel builds occasionally fail as:
    
        g++ ... -o i386-builtins.o ... ../../gcc-13-20220911/gcc/config/i386/i386-builtins.cc
        In file included from ../../gcc-13-20220911/gcc/config/i386/i386-builtins.cc:92:
        ../../gcc-13-20220911/gcc/config/i386/i386-builtins.h:25:10:
         fatal error: i386-builtin-types.inc: No such file or directory
           25 | #include "i386-builtin-types.inc"
              |          ^~~~~~~~~~~~~~~~~~~~~~~~
        compilation terminated.
        make[3]: *** [../../gcc-13-20220911/gcc/config/i386/t-i386:54: i386-builtins.o]
          Error 1 shuffle=1663349189
    
    gcc/
            PR target/107064
            * config/i386/t-i386: Add build-time dependencies against
            i386-builtin-types.inc to i386-builtins.o, i386-expand.o,
            i386-features.o.
    
    (cherry picked from commit ef3165736d9daafba88adb2db65b2e8ebf0024ca)

diff --git a/gcc/config/i386/t-i386 b/gcc/config/i386/t-i386
index e5fb0618fe6..bcb19f891f2 100644
--- a/gcc/config/i386/t-i386
+++ b/gcc/config/i386/t-i386
@@ -61,7 +61,12 @@ i386-features.o: $(srcdir)/config/i386/i386-features.c
 	$(COMPILE) $<
 	$(POSTCOMPILE)
 
+# i386-builtin-types.inc is included into i386-builtins.h.
+# Below are direct users of i386-builtins.h:
 i386.o: i386-builtin-types.inc
+i386-builtins.o: i386-builtin-types.inc
+i386-expand.o: i386-builtin-types.inc
+i386-features.o: i386-builtin-types.inc
 
 i386-builtin-types.inc: s-i386-bt ; @true
 s-i386-bt: $(srcdir)/config/i386/i386-builtin-types.awk \

